Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1198207 - GDT: dsl sentences with enumerations make BRL fragments uneditable
Summary: GDT: dsl sentences with enumerations make BRL fragments uneditable
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: DR1
: 6.2.0
Assignee: manstis
QA Contact: Jakub Schwan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-03 14:55 UTC by Zuzana Krejčová
Modified: 2020-03-27 19:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 19:40:53 UTC
Type: Bug


Attachments (Terms of Use)
data object (225 bytes, text/plain)
2015-03-03 14:55 UTC, Zuzana Krejčová
no flags Details
enumeration (42 bytes, text/plain)
2015-03-03 14:56 UTC, Zuzana Krejčová
no flags Details
dsl (101 bytes, text/plain)
2015-03-03 14:56 UTC, Zuzana Krejčová
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1198220 0 high CLOSED GDT: dsl sentences in BRL fragments not expanded/converted in the Source tab 2021-02-22 00:41:40 UTC

Internal Links: 1198220

Description Zuzana Krejčová 2015-03-03 14:55:56 UTC
Created attachment 997560 [details]
data object

Description of problem:
If you add a (Condition) BRL Fragment column to a GDT and in this BRL Fragment use a DSL sentence which uses an enumeration, the column will not be editable. (If you use a DSL sentence that merely uses a boolean field, it will look like an anum in the BRL Fragment, but it will be editable.)


Version-Release number of selected component (if applicable):
6.1 ER5


Steps to Reproduce:
1. Create a new project and add the provided data object, enumeration and dsl.
2. Create a GDT, add a new column - choose Condition BRL Fragment from advanced options.
3. Type a header and add the provided DSL sentence, select a value. Submit this.
4. Open the section containing condition columns and attempt to edit the BRL Fragment column.


Actual results:
Nothing happens.


Expected results:
Pop-up appears for the Condition BRL Fragment, with the DSL sentence, ready to be changed.

Comment 1 Zuzana Krejčová 2015-03-03 14:56:13 UTC
Created attachment 997561 [details]
enumeration

Comment 2 Zuzana Krejčová 2015-03-03 14:56:28 UTC
Created attachment 997562 [details]
dsl

Comment 4 manstis 2015-03-06 16:00:19 UTC
When you use a "BRL Fragment" if the definition does not contain any "Templates Keys" (i.e. values to be provided by the user) the table shows a check-box to indicate whether the "static" definition should apply for the row.

It is not possible to use "Template keys" in a DSL Sentence; therefore you see the check-box in the table, as you report. There was a bug however with editing the column. This has been fixed.

Comment 5 Jakub Schwan 2015-10-01 10:36:29 UTC
Verified in 6.2 ER3


Note You need to log in before you can comment on or make changes to this bug.